Draft WireToBSpline: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
<translate>
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}


Line 5: Line 6:
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.


</translate>
[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
<translate>


==How to use==
==How to use==
Line 20: Line 23:
Not available, but creating a new object with the points from another one is easy, for example:
Not available, but creating a new object with the points from another one is easy, for example:


# if the active object is a wire
* If the active object is a wire:

</translate>
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
Draft.makeBSpline(points)
</syntaxhighlight>
<translate>

* if the active object is a bspline


</translate>
# if the active object is a bspline
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
Draft.makeWire(points)
</syntaxhighlight>


<languages/>
{{languages | {{es|Draft_WireToBSpline/es}} {{fr|Draft_WireToBSpline/fr}} {{it|Draft_WireToBSpline/it}} }}

Revision as of 15:51, 14 February 2014

Draft_WireToBSpline

Menu location
Drafting -> Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)